Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Interface Platform

All Superinterfaces:
  Declaration, DynRoot, Expression

All Known Implementing Classes:
  Platform_Indirect, Platform_Standard

    public interface Platform

extends DynRoot

Standard platform declaration, contains I/O ports, links and instances. In addition a platform has some special fields for which it provides accessors: language, default link type and engine.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Method Summary
`java.lang.String` | `getAccurateLinkType()` Simple accessor.
`java.lang.String` | `getEngine()` Simple accessor.
`java.lang.String` | `getFastLinkType()` Simple accessor.
`java.lang.String` | `getLanguage()` Simple accessor.

Methods inherited from interface rdlc.rdl.DynRoot
`getInstance, isLeaf, isRoot`

Methods inherited from interface rdlc.rdl.Declaration
`getBase, getIdentifier, getLambdaName, getNamedBase, getType, setRawStaticID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Method Detail

### getLanguage

    java.lang.String getLanguage()

  Simple accessor.

  Returns:
    The language to be output for use on this platform

### getFastLinkType

    java.lang.String getFastLinkType()

  Simple accessor.

  Returns:
    The default fast link type for this platform.

### getAccurateLinkType

    java.lang.String getAccurateLinkType()

  Simple accessor.

  Returns:
    The default accurate link type for this platform.

### getEngine

    java.lang.String getEngine()

  Simple accessor.

  Returns:
    The emulation engine to be used for this platform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD